#AutoIt3Wrapper_Au3Check_Parameters=-d -w 1 -w 2 -w 3 -w 4 -w 5 -w 6 -w 7

#include '_GUIDisable.au3'

Example_2()

Func Example_2()
	Local $hGUI = GUICreate('_GUIDisable()', 300, 100, -1, -1, BitXOR($GUI_SS_DEFAULT_GUI, $WS_SIZEBOX, $WS_MINIMIZEBOX))

	Local $iButton_1 = GUICtrlCreateButton('Effect 1', 190, 70, 100, 25)
	GUICtrlSetResizing(-1, $GUI_DOCKLEFT + $GUI_DOCKSIZE + $GUI_DOCKTOP)

	GUISetState(@SW_SHOW, $hGUI)

	Local $hTimer = 0, $iLabel = 0
	While 1
		Switch GUIGetMsg()
			Case $GUI_EVENT_CLOSE
				ExitLoop

			Case $iButton_1
				; Enable the dimmed effect on the current GUI with the animation turned on.
				_GUIDisable(-1, 1, 25)

				; Create a label with some text after calling _GUIDisable().
				$iLabel = GUICtrlCreateLabel('SimpleText', 5, 5)
				GUICtrlSetBkColor(-1, $GUI_BKCOLOR_TRANSPARENT)
				$hTimer = TimerInit()
				Do
					; Exit the loop if $GUI_EVENT_CLOSE is captured by GUIGetMsg().
					If GUIGetMsg() = $GUI_EVENT_CLOSE Then
						ExitLoop
					EndIf
					Sleep(10)
				Until TimerDiff($hTimer) > 3000

				; Delete the control  before closing _GUIDisable()
				GUICtrlDelete($iLabel)

				; Disable the dimmed effect with the animation turned on and add focus to the current GUI.
				_GUIDisable(-1, 1)

		EndSwitch
	WEnd
	GUIDelete($hGUI)
EndFunc   ;==>Example_2