#AutoIt3Wrapper_Au3Check_Parameters=-d -w 1 -w 2 -w 3 -w 4 -w 5 -w 6 -w 7

#include '_GUIDisable.au3'

Example_3()

Func Example_3()
	; Run Notepad
	Run('notepad.exe')

	; Wait 10 seconds for the Notepad window to appear.
	Local $hWnd = WinWait('[CLASS:Notepad]', '', 5)

	; Apply the dimmed effect.
	Local $hGUIDisable = _GUIDisable($hWnd, 1, 25)

	; Get the position of the dimmed effect and adjust accordingly.
	Local $aWinGetPos = WinGetPos($hGUIDisable)
	If @error = 0 Then
		WinMove($hGUIDisable, '', $aWinGetPos[0] - 5, $aWinGetPos[1] - 5)
	EndIf

	; Wait for 2 seconds to display the Notepad window.
	Sleep(2000)

	; Destroy the dimmed effect.
	_GUIDisable($hWnd, 1)

	; Wait for 1/2 second.
	Sleep(500)

	; Close the Notepad window using the classname of Notepad.
	WinClose($hWnd)
EndFunc   ;==>Example_3